-allowUntrusted

zedd
New Contributor II

Im trying to install a policy through SelfService and keep on getting the following error. Where am I supposed to add the option "-allowUntrusted"? (yes I am downloading it from the App store to rebuild the package new but I am just wondering if anyone knows where it is located, we may have to do this a couple more time)

2 ACCEPTED SOLUTIONS

rtrouton
Valued Contributor III

If you had downloaded the installer from the MAS, you may want to download a fresh copy. The certificate Apple had been using to digitally sign installers for MAS apps has expired.

For more information, please see the link below:

https://derflounder.wordpress.com/2016/02/15/certificate-expiration-and-downloaded-mac-app-store-ins...

View solution in original post

mpermann
Valued Contributor II

@jaureguie I don't think Casper has a place to add the -allowUntrusted flag to the install. You won't have this issue once you get the new installer package from the App Store.

View solution in original post

4 REPLIES 4

rtrouton
Valued Contributor III

If you had downloaded the installer from the MAS, you may want to download a fresh copy. The certificate Apple had been using to digitally sign installers for MAS apps has expired.

For more information, please see the link below:

https://derflounder.wordpress.com/2016/02/15/certificate-expiration-and-downloaded-mac-app-store-ins...

mpermann
Valued Contributor II

@jaureguie I don't think Casper has a place to add the -allowUntrusted flag to the install. You won't have this issue once you get the new installer package from the App Store.

gabester
Contributor III

Raising this as either Jamf needs an allowUntrusted flag or Apple needs to get their act together and rerelease packages with updated signing certs. 2019's #packagepocalypse has taken too much of my time for the things that were released since September 2019... Security Updates, Safari Updates, OS installers including for Catalina.

All I really need is a properly signed Sierra Security Update 2019-005... but this version https://support.apple.com/kb/DL2013 is still from Sep 23rd, 2019.

PhillyPhoto
Contributor III